%global srcname flask-assets
%global _description %{expand:Integrates the webassets library with Flask, adding support for merging,
minifying and compiling CSS and Javascript files.}

Name:           python-%{srcname}
Version:        2.0
Release:        1%{?dist}
Summary:        Flask webassets integration

License:        BSD-2-Clause
URL:            https://%{srcname}.readthedocs.io/
Source0:        https://github.com/miracle2k/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
# Fix dependency versions
Patch0:         %{name}-2.0-dependencies.patch
# Fix tests
Patch1:         %{name}-2.0-tests.patch

BuildRequires:  python3-devel
BuildArch:      noarch

%description
%{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -n %{srcname}-%{version} -p0


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flask_assets


%check
%tox


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGES README.rst TODO
%license LICENSE


%changelog
* Mon Jan 02 2023 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.0-1
- Initial RPM release
